auth: move gensec_start.c to the top level
[samba.git] / auth / gensec / wscript_build
index a9203f801d0e1b79e1fb1248a4ac8ad8a9d1082d..e3e9372c3dfb81a62424928f071241a5649b0f27 100644 (file)
@@ -1,7 +1,11 @@
 #!/usr/bin/env python
+bld.SAMBA_LIBRARY('gensec',
+       source='gensec.c gensec_start.c',
+       pc_files='gensec.pc',
+       autoproto='gensec_toplevel_proto.h',
+       public_deps='tevent-util samba-util errors LIBPACKET auth_system_session samba-modules gensec_util',
+       public_headers='gensec.h',
+       deps='com_err',
+       vnum='0.0.1'
+       )
 
-bld.SAMBA_SUBSYSTEM('gensec_runtime',
-                    source='gensec.c',
-                    deps='tevent-util tevent samba-util LIBTSOCKET',
-                    public_headers='gensec.h',
-                    autoproto='gensec_toplevel_proto.h')